var table ;
var laydate ;
let form ;

layui.use(['table', 'layer', 'laydate', 'jquery', 'form'], function () {
    table = layui.table;
    laydate = layui.laydate;
    form = layui.form;
    //渲染table
    table.render({
        elem: '#demo'
        , url: ctxPath + '/type/SexAnomalyIndexStatistics' //数据接口
        , method: 'post' //方式默认是get
        , toolbar: 'default' //开启工具栏，此处显示默认图标，可以自定义模板，详见文档
        , where: {'dataYear':getNowTime().substring(0,4),'sex':'0','keyWord':''} //post请求必须加where ，post请求需要的参数
        , cellMinWidth: 80
        , cols: [[ //表头
            {
                field: 'number', width:120,title: '序号', align: 'center', type: 'numbers'
            }
            , {field: 'teamName', align: 'center', title: '单位'}
            , {field: 'sex', align: 'center', title: '性别'}
            , {field: 'illnessName', align: 'center', title: '疾病'}
            , {field: 'thisNum', width: 260, align: 'center', title: '总参检人数'}
            , {field: 'abnormalNum', width: 260, align: 'center', title: '检出数'}
            , {field: 'totalDetectionRate', width: 260, align: 'center', title: '占比(%)'}
        ]]
        , id: 'menuTable'
        , page: true //开启分页
        , loading: true //数据加载中。。。
        , limits: [10, 20, 50 ]  //一页选择显示3,5或10条数据
        , limit: 10  //一页显示5条数据
        , response: {
            statusCode: 200 //规定成功的状态码，默认：0
        }, parseData: function (res) { //将原始数据解析成 table 组件所规定的数据，res为从url中get到的数据
            let result;
            if (res.data !== '' && res.data != null && res.data !== "null") {
                if (this.page.curr) {
                    result = res.data.slice(this.limit * (this.page.curr - 1), this.limit * this.page.curr);
                } else {
                    result = res.data.slice(0, this.limit);
                }
            }
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.count, //解析数据长度
                "data": result, //解析数据列表
            };
        },
        toolbar: "#toolbar"
    });

    //头监听事件 -- checkBox 选中行和选中条数
    table.on('toolbar(test)', function (obj) {
        // 获取当前表格被选中的记录对象，返回数据
        var checkStatus = table.checkStatus(obj.config.id);
        var dataYear  = $("#dataYear").val();
        var keyWord = $("#keyWord").val();
        var sex = $("#sex").val();
        //获取事件名，执行对应的代码
        var eventName = obj.event;
        switch (eventName) {
            case "searchBt":
                table.reload('menuTable', {
                    url: ctxPath + '/type/SexAnomalyIndexStatistics'
                    , method: 'post' //方式默认是get
                    , page: true
                    , where: {
                        'dataYear':dataYear,'sex':sex,'keyWord':keyWord
                    } //设定异步数据接口的额外参数
                });
                break;
        }
        $("#dataYear").val(dataYear);
        $("#keyWord").val(keyWord);
        $("#sex").val(sex);
        getPositiveDisease(form,keyWord,"keyWord",sex);
        getTime();
    });
    form.on('select(sex)', function (data) {
        var sex = $("#sex").val();
        var dataYear  = $("#dataYear").val();
        var keyWord = $("#keyWord").val();
        var sex = $("#sex").val();
        table.reload('menuTable', {
            url: ctxPath + '/type/SexAnomalyIndexStatistics'
            , method: 'post' //方式默认是get
            , page: true
            , where: {
                'dataYear':dataYear,'sex':sex,'keyWord':keyWord
            } //设定异步数据接口的额外参数
        });
        $("#dataYear").val(dataYear);
        $("#sex").val(sex);
        getPositiveDisease(form,null,"keyWord",sex);
        getTime();
    });
    getTime();
    getPositiveDisease(form,null,"keyWord",'0');
});

function getTime() {
    laydate.render({
        elem: '#dataYear',
        type: 'year',
        value: getNowTime().substring(0,4)
    });
}